### Namespace

# EDataCal – 2.0

Backend library for Evolution Data Server calendars

Version | 3.58.3
Authors | Evolution Data Server Development Team
License | LGPL-2.0-only
Website |
Source | https://gitlab.gnome.org/GNOME/evolution-data-server/

#### Build

C headers | `libedata-cal/libedata-cal.h`
pkg-config files | `libedata-cal-2.0`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation
EDataServer—1.2 | Utility library for Evolution Data Server
| Browse documentation
ECal—2.0 | Client library for Evolution Data Server calendars
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

CalBackend | Contains only private data that should be read and manipulated using the functions below.
CalBackendFactory | Contains only private data that should be read and manipulated using the functions below.
CalBackendSExp |
CalBackendSync | Contains only private data that should be read and manipulated using the functions below.
CalCache | Contains only private data that should be read and manipulated using the functions below. since: 3.26
CalMetaBackend | Contains only private data that should be read and manipulated using the functions below. since: 3.26
DataCal |
DataCalFactory |
DataCalView |
IntervalTree | Contains only private data that should be read and manipulated using the functions below. since: 2.32
SubprocessCalFactory |

#### Structs

CalCacheOfflineChange | Holds the information about offline change for one component. since: 3.26
CalCacheSearchData | This structure is used to represent components returned by the `ECalCache` from various functions such as e_cal_cache_search(). since: 3.26
CalMetaBackendInfo |
CalQueueTuple |

#### Callbacks

CalBackendCustomOpFunc | A callback prototype being called in a dedicated thread, scheduled by e_cal_backend_schedule_custom_operation(). since: 3.26
CalBackendForeachViewFunc | Callback function used by e_cal_backend_foreach_view(). since: 3.34
CalCacheSearchFunc | A callback called for each object row when using `e_cal_cache_search_with_callback()` function. since: 3.26

#### Functions

cal_queue_free_strings |

#### Function Macros

CAL_BACKEND_SEXP |
CAL_BACKEND_SEXP_CLASS |
INTERVALTREE |
INTERVALTREE_CLASS |

#### Constants

EDS_CALENDAR_MODULES | This environment variable configures where the calendar factory loads its backend modules from.
EDS_SUBPROCESS_CAL_PATH | This environment variable configures where the calendar factory subprocess is located in.
INTERVALTREE_DEBUG |
LIBICAL_GLIB_UNSTABLE_API |